/*! @file trackball.h
	
	@brief ȈՃgbN{[
			- ODEdQuaterniongp
 
	@author Makoto Fujisawa
	@date 2008
*/

#ifndef _RX_TRACKBALL_H_
#define _RX_TRACKBALL_H_

//-----------------------------------------------------------------------------
// CN[ht@C
//-----------------------------------------------------------------------------
#include "rx_common.h"

//-----------------------------------------------------------------------------
// gbN{[֐
//-----------------------------------------------------------------------------
void InitTrackball(void);
void SetTrackballRegion(int w, int h);

void StartTrackball(int x, int y);
void StopTrackball(int x, int y);

void RotateM(int x, int y);
void TranslateM(int x, int y);
void ScalingM(int x, int y);

double *GetTrackballRotation(void);


void SetEyePos(const Vec3 &pos);
Vec3 GetEyePos(void);

Vec3 GetEyeDir(void);


#endif // #ifndef _RX_TRACKBALL_H_
